import { defineStore } from 'pinia';

export const useLayoutStore = defineStore('layout', {
    state: () => ({
        minDesktopWidth: 992,
        isDesktop: Boolean,
        isEtapeListRetracted: Boolean,
    }),
    actions: {
        setupResizeListenner () {
            this.isDesktop = window.innerWidth >= this.minDesktopWidth ? true : false;
            window.addEventListener('resize', () => {
                this.isDesktop = window.innerWidth >= this.minDesktopWidth ? true : false;
            })
            this.isEtapeListRetracted = this.isDesktop ? false : true;
        },
    },
})